Lots of script-driven applications, especially paid content management systems, encrypt their files so as to ensure that they won't be reverse engineered or tampered with. Many of them use an application called ionCube PHP Encoder to do this, so if you purchase a paid script and you'd like to set it up in a hosting account, a software instrument known as ionCube Loader needs to be present on your server. Without this, you won't be able to install the script or if you somehow find a way to do that, it will not work effectively since almost all of the script code will be encoded to a degree where it cannot be interpreted. In this light, you should ensure that ionCube Loader is installed if you get a fresh website hosting account and you'd like to employ some paid web app. If you acquire a shared web hosting account and the instrument is not present, it can't be added as your entire server PHP environment will have to be compiled again.
IonCube in Shared Hosting
If you aquire a shared hosting through our company, it will be created on our in-house made cloud platform where ionCube Loader is already set up, so you will not have any problems to manage any script application which needs the instrument to function properly. Furthermore, we offer a few different versions of PHP, therefore if you change the version, you need to enable ionCube once again. Our system remembers the changes you make, and in case you switch back to the earlier version of PHP which was active for your account, ionCube Loader will already be turned on. The PHP version and the ionCube tool can be managed through the PHP Configuration section of our Hepsia website hosting Control Panel. Each change that you do takes literally just a click and it will take effect immediately.
IonCube in Semi-dedicated Hosting
Because all the semi-dedicated server accounts are created on our advanced cluster platform and ionCube Loader is available on it, you shall be able to use any script application that needs the tool in order to run efficiently. With several clicks in the Hepsia hosting Control Panel you will be able to activate or deactivate ionCube for the PHP version that is currently active for the account. Since we support multiple versions of PHP simultaneously, you'll have to do that each time you switch to a different version, but if you revert back to a release which you've already used, our system will remember your preference and ionCube Loader will already be activated. When you have multiple websites in the same account and they require different versions of PHP, you are able to set up a php.ini file in each domain folder and with a couple of lines of code you are able to define both the PHP version as well as the status of ionCube irrespective of what is selected for the hosting account altogether.